Name: djcross-binutils
Summary:  Cross binutils for target i586-pc-msdosdjgpp
Version: 2.19
Release: 9ap
License: GPL
Group: Development/Tools
#URL: http://www.example.org/
Source0: binutils-%{version}.tar.bz2
Patch0: djcross-binutils-coffcode.diff
Patch1: djcross-binutils-linker_script.diff
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%define djtarget i586-pc-msdosdjgpp

#Requires: anything
#Prereq: something
#BuildPrereq: something-else

%description 
Cross-binutils for target i586-pc-msdosdjgpp
%prep 
%setup -q -n binutils-%{version}
%patch0 -p1 -b .coffcode
%patch1 -p1 -b .llinkscript

%build 
# Note: I tried to use --datadir to override location .po files. Unfortunately
#       this feature is broken.
%configure --target=%{djtarget} --program-prefix=%{djtarget}- --disable-werror \
    --disable-nls
make

%install 
rm -fr %{buildroot}

%makeinstall
rm -vf $(find %{buildroot} -name libiberty.a)
rm -rf %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_infodir}

%clean 
rm -fr %{buildroot}

%files 
%defattr(-,root,root) 
%{_bindir}/* 
#%{_datadir}/* 
/usr/i586-pc-msdosdjgpp/*
#%{_doc}/*

%changelog
* Wed Oct 22 2008 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.19

* Tue Sep  6 2007 Andris Pavenis <andris.pavenis@iki.fi>
- Fix bug in specs file
 
* Sun Sep  4 2007 Andris Pavenis <andris.pavenis@iki.fi>
- Updated to binutils 2.18

* Sun Mar 25 2007 Andris Pavenis <andris.pavenis@iki.fi>
- Updated to binutils 2.17
- Put .bss.* in data section to avoid including entire .bss section into
  executable when C++ compiler (versions 4.1.*) is being used.
- Add configure option --disable-werror
- Rename patches (add prefix djcross-binutils- to the file names).
- (I had 2.17 RPM earlier, but it is perhaps better to start from scratch
   now)

* Tue Mar 13 2007 Gordon Schumacher <whiplash@pobox.com>
- Updated to use RPM's prefix macros and %configure

* Mon Nov 15 2005 Andris Pavenis <pavenis@latnet.lv>
— Initial version of rpm spec file for DJGPP cross-binutils
